Subject: Ticket Assigned - Cancel my order
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 26 Jun 2021 02:19:44 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Cancel my order Hi

Order 63176858
Please cancel my order.
It's becoming so disturbing receiving voice messages from the delivery company you deal with saying that delivery failed
No one contacted me nor rang my doorbell.
3 phone messages in span of 5day.
I have contacted your customer service twice already raising this issue and each time I was assured this will be solved and ask me to be patient.
Thank you for the assurance, but I do not want to wait.
Please cancel and refund my money.

Mona

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2757614